Code::Blocks

User forums => General (but related to Code::Blocks) => Topic started by: bud on August 04, 2005, 01:17:44 pm

Title: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1-1
Post by: bud on August 04, 2005, 01:17:44 pm
I only see Code::Blocks IDE without compiler release version 1.0-RC1-1.
I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1-1.
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: darklordsatan on August 04, 2005, 04:02:42 pm
If you read well, the 1.0-RC1-1 can work as a "patch" for the previous version RC1 with MinGW bundled (which I assume you have). Its not like MinGW has changed at all...
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: phlox81 on August 04, 2005, 09:44:00 pm
You might should provide a mingw installer package instead of bringing it with an c::b installation  :D
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: rickg22 on August 04, 2005, 10:20:38 pm
If you want a mingw installer package, why not go to http://www.mingw.org/ instead?  :?
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: phlox81 on August 05, 2005, 05:36:00 pm
If you want a mingw installer package, why not go to http://www.mingw.org/ instead?  :?

I already got one ;)
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: thomas on August 05, 2005, 06:59:11 pm
I've experienced that the MinGW installer is not so great, sometimes. It failed me couple of times with "most recent" or "candidate" ("install an old compiler" strangely always worked).

Bundling compilers with the IDE is also awkward. When migrating from Dev-CPP to code::blocks I found myself in versioning hell. Two bundled compilers, and one manually installed.
There is nothing more annoying than having to guess which compiler and which header file from which version will be used the next time. Yuck.

The strategy that seems to work best for me is:
Download all the .tar.gz files by hand and unpack them into C:\MinGW. Copy all headers in there, too.
No exceptions, no compromises. If anything ever fails, just overwrite that folder. If you want to upgrade to another version or change anything, overwrite that folder.
You know what you get, and you know what you don't get :)
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: David Perfors on August 05, 2005, 07:02:12 pm
Bundling compilers with the IDE is also awkward. When migrating from Dev-CPP to code::blocks I found myself in versioning hell. Two bundled compilers, and one manually installed.
There is nothing more annoying than having to guess which compiler and which header file from which version will be used the next time. Yuck.
I think that is why we have a stand alone version of codeblocks ;) But for people who don't have any compiler it is fantastic :lol:
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: bud on August 05, 2005, 08:53:16 pm
If you want a mingw installer package, why not go to http://www.mingw.org/ instead?  :?
Because the MinGW-4.1.0.exe in http://www.mingw.org/download.shtml is not a complete version.
MinGW-4.1.0.exe must download other suites from Internet.
So it is convenient for Code::Blocks IDE having MINGW compiler.
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: rickg22 on August 05, 2005, 09:12:46 pm
AGH.... well, there are the individual files... erm... ok i got your point. I'll talk to Yiannis about it when he returns from his 3-week vacation.
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: darklordsatan on August 05, 2005, 10:04:30 pm
Erm, an offtopic throw here.
If you download all the packages pointed in http://www.mingw.org/download.shtml, then you actually wont need "MinGW-4.1.0.exe" since all it does is try to download those? Or am I missing something here?
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: thomas on August 05, 2005, 10:16:01 pm
Erm, an offtopic throw here.
If you download all the packages pointed in http://www.mingw.org/download.shtml, then you actually wont need "MinGW-4.1.0.exe" since all it does is try to download those? Or am I missing something here?
That is right. And you don't even need all the packages if you don't use objective-c, java native, and ada.
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: darklordsatan on August 05, 2005, 11:06:31 pm
That is right. And you don't even need all the packages if you don't use objective-c, java native, and ada.
Oh no, java+ada=(http://www.samizdata.net/~pdeh/smiley_puke.gif). I just got a little confussed here (prior cygwin experience?), but In fact I download all the packages (the ones that matter that is).
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: kagerato on August 07, 2005, 05:00:29 am
Oh no, java+ada=(http://www.samizdata.net/~pdeh/smiley_puke.gif). I just got a little confussed here (prior cygwin experience?), but In fact I download all the packages (the ones that matter that is).

Even if you add the weight of the extra binaries, the MinGW suite is still pretty light on disk space.  I prefer the bare essentials, though.

I'm heavily inclined toward modular design in programming, so it's difficult for me to understand why people like their IDE packaged with a compiler (or vice-versa).  Do people honestly spend hours creating applications and truly care about the few minutes it takes to setup the environment?
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: rickg22 on August 07, 2005, 05:03:51 am
kagerato: Some users are newbies, they want everything preinstalled so they can start working on it. They don't want to meddle in compilation of libraries, operating systems, etc.

And a lot of them come from a Microsoft background, where they just double-click and start designing their apps.
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: darklordsatan on August 07, 2005, 05:24:02 am
kagerato: Some users are newbies, they want everything preinstalled so they can start working on it. They don't want to meddle in compilation of libraries, operating systems, etc.

And a lot of them come from a Microsoft background, where they just double-click and start designing their apps.
I couldnt agree more. while right now I like to download MinGW myself for instance, I remember back in the times when I was just starting to program (like 4 years ago or so) and you know, I barely knew about all this "compiler" fuzz, so I needed an IDE to do all the "dirty" stuff for me. And Im sure lots of people who download C::B want this behaviour.
Besides, if we talk about MinGW for example, its not really newbie-friendly when it comes to explain what packages should you download...
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: rickg22 on August 07, 2005, 06:54:50 am
Perhaps we should make a Wiki on installation, then.
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: thomas on August 07, 2005, 02:01:45 pm
Besides, if we talk about MinGW for example, its not really newbie-friendly when it comes to explain what packages should you download...
Lol, yes. Quite frightening the first time. What if the installer included an option to download and install the compiler?
I know zero about Inno setup, but NSIS can download files off the internet on request, and I guess Inno is not worse in its functionality. So if the user wants to install a compiler, he could just tell the installer to download and unpack it.
The installer could then for example download http://www.codeblocks/mingw-core.php and that URL could send back a HTTP/302 pointing to whatever is the current version over at MinGW. That way it would be zero-config for the user, nothing to worry about once the installer script has been modified, and forever easy to maintain, too.

EDIT:
Actually, the redirect could be put into .htaccess, too, way easier than php....
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: Urxae on August 07, 2005, 03:00:06 pm
There are some problems I can think of with having the installer download the compiler:
I like it fine the way it's now: two installers, one with compiler and one without.
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: tiwag on August 07, 2005, 03:05:42 pm
I like it fine the way it's now: two installers, one with compiler and one without.
second that
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: takeshi miya on August 07, 2005, 03:50:59 pm
And better yet multiple options:

-C::B standalone
-C::B+MinGW (all in one package)
-C::B+Digital Mars+stlport (all in one package)
-C::B+VCTK+MS Platform SDK (C::B included, VCTK and Platform autodownloaded from Microsoft OR manually downloaded but auto installed from a script inside the C::B installer)

I guess the first 3 options don't have any license problems, and the 4th option I think that would help us A LOT to stop seeing people saying "nothing compiles!" and then someone replying "you must have the platform sdk" :lol:

I think that the 4th option also would attract a lot of users from the big MSVC land, because you'll have a drop-in one-clic MSVC replacement. And more now taking in account that the C::B MSVC importer is being constantly improved.

Then any former MS developer could go back and forth between MSVC and C::B.
Then a lot of people will discover this great IDE.
Then a lot of people will discover other great compilers.
Then a lot of people will be using GCC/Any other multiplatform/opensource Compiler.
Then a lot of people will be writting multiplatform code (thanks to the multiplatform Compiler, the multiplatform IDE, and the multiplatform widgets library).
Then a lot of people will be interested in the opensource world.
Then a lot of people... <insert your wish here  :P>

What do you think?
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: rickg22 on August 07, 2005, 04:45:44 pm
Then a lot of people... <insert your wish here  :P>

Then a lot of people from Microsoft would sue us! :shock:

I'm sorry, I don't think MS would let us get away with it by bundling their product with our competition.
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: takeshi miya on August 07, 2005, 05:07:07 pm
Maybe you misreaded it, but I'm saying NOT to bundle, but instead
autodownloaded from Microsoft OR manually downloaded but auto installed from a script inside the C::B installer

I don't think that breaks any license, a script to download the compiler (asking to the user first),
Or in the worst case, all the steps well explained of were to download and how to install the compiler, in the installer.

But again, I don't think a download script breaks any EULA (any with more experience on the legal part of this?)
Title: Re: I hope Code::Blocks IDE with MINGW compiler can also release version 1.0-RC1
Post by: grv575 on August 08, 2005, 07:13:14 am
Also note that to get a fully working (minus multithreading msvcprt.lib library) free VC replacement you will probably need:
.NET 1.1 SDK (for msvcrt.lib)